=== src/wscript ===
#!/usr/bin/env python

import Params

def build(bld):
	prog = bld.create_obj('cc', 'program')
	# symbolic name used to reference this object
	prog.name = 'tear.program'
	# name of the resulting program
	prog.target = 'tear'
	prog.source = """tear.vala uim.vala about.vala settings.vala dbqueue.vala connmanager.vala imagemenuitem.vala ovbox.vala drawer.vala
					 quickbar.vala tearwebview.vala downloadmanager.vala downloaditem.vala checkbutton.vala option.vala urifuncs.vala
					 blocker.vala blockerrule.vala dbusservice.vala dbusserver.vala optionsmanager.vala menu.vala"""
	# libraries to link against
	prog.uselib = 'GTK+ GLIB HILDON HILDONFM GCONF OSSO WEBKIT SQLITE DBUS PCRE CONIC GNOMEVFS LAUNCHER X GDKX11'
	# Vala packages to use
	prog.packages = """config gtk+-2.0 glib-2.0 hildon-1 hildon-fm-2 gconf-2.0 libosso webkit-1.0 sqlite3 dbus-glib-1 
						libpcre conic gdk-keysyms mce x11 gdk-x11-2.0"""
	# Extra vapi dirs
	prog.vapi_dirs = ['../lib','../vapis']
	prog.includes = ''
	if Params.g_options.cflags is not None:
        	prog.env["CPPFLAGS"] = Params.g_options.cflags+' -I/usr/include/gnome-vfs-2.0 -include config.h'
	else:
#        	prog.env['CPPFLAGS'] = '-mfpu=vfp -mcpu=arm1136jf-s -mtune=arm1136jf-s -I/usr/include/gnome-vfs-2.0 -g -include config.h'
        	prog.env['CPPFLAGS'] = '-mfpu=neon -mcpu=cortex-a8 -mtune=cortex-a8 -I/usr/include/gnome-vfs-2.0 -g -include config.h'
	prog.env['CFLAGS'] = ''  # '-msoft-float -mcpu="arm1026ej-s" -mtune="arm1026ej-s"'
	# Enable threading
	#prog.threading = True

def set_options(bld):
	bld.add_option('--cflags', type='string', dest='cflags')
