## tear 0.3.98-6

=== wscript ===
--- 
+++ 
@@ -6,7 +6,7 @@
 APPNAME = "tear"
 MAINTAINER = "Bundyo <bundyo@gmail.com>"
 VERSION = "0.3.98"
-BUILD = "5"
+BUILD = "6"
 VERSION_MAJOR_MINOR = VERSION + "-" + BUILD
 PREFIX = '/usr'
