=== debian/changelog ===
tear (0.3.98-6) unstable; urgency=low

  * Initial Release.

 -- Kamen Bundev <bundyo@gmail.com>  Thu, 22 Oct 2009 01:30:51 +0200
