=== debian/control ===
Source: tear
Section: user/network
Priority: extra
Maintainer: Bundyo <bundyo@gmail.com>
Build-Depends: debhelper (>= 5), vala (>= 0.7.7) | valac, libwebkit-dev, libgconf2-dev, libhildon1-dev, libgtk2.0-dev, libosso-dev, libpcre3-dev, libsqlite3-dev, libconic0-dev, libdbus-glib-1-dev, libhildonfm2-dev, libhildonmime-dev, libosso-gnomevfs2-dev, intltool, python (>= 2.5) | python2.5, docbook-xsl, docbook-xml, xsltproc, maemo-launcher-dev (>= 0.23-1), maemo-optify, mce-dev
Standards-Version: 3.7.2

Package: tear
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
Description: A WebKit based browser with dashboard
XB-Maemo-Display-Name: Tear
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAAK/INwWK6QAAAAZi
 S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAAXwAAAGAABUf3twAABHJJREFUSMe9lttvVFUUh799
 9jkz58y0nUtvlHZaS4GRCtqCMCUKbRVqSEAFLX1Q0AcfTEiMD/JqNL744Jt/gSEa0mg0XtBG
 SdVECUiAAEYlhNoC0k4vTDszncu5bB9oLMVeBh88yUpO1jl7ffu3fjsrWyil+D8efbHk0NAQ
 g4ODC3Ke5wGgaVpJhTs7O2lpaZlPKKX+Ff39/feuE4kdXc3t2zoaAQ0QK4GOHTu2oKa+0gKA
 2rq6UO+RN967PT6a/PXC+aPFYiEHuPfTupL60NG9u3vGij6lV8d61qyPt861fEVV9wUKR6IV
 G3f2vJDM5oNpaTYndu3ZL6UMlrrJkkGtbZsf0avruwwUruuJ5m2dvfGNmzbdr6plQbquy7bH
 u3uK6JVhy0fENHCsipZdB196NRKN1kFpHq8IqqyuiVatiXcpz6XCbxCy/BgCqh569MDTh145
 bBhGWanKlgWtiW9o1cqirYYA05AEDUnIMig4ri/W8cSR7r37+6SmBUqxYLkfxIPtWxOzror6
 pMCnCXy6RsCnEzZ9FIRek+h9+a0nn3m+V7sDk/8BpAgEg2aormFL0XYwpIYUAikEfikp8xuE
 TR9pV6tNPHf47V37nt2nCWEut/FFP3ieoqqmNlpR29DiuQ5SgEAh8PCTp0wvEjUFlZYkZXv1
 iQOH3mxt27IZMJbya8lTI3U9krXdVUJKxNwY8TxFlRjmAWsYLahTDGmkCoq0o8fliweOXh8Z
 fn16cvw6YJekSClFXUNjyBNauVLeP/PKUzBarEa4LrViDLN4i0ZznLbQGF0b6Gnfvv2gkEZg
 MVVLKqqsqQ2gaZrneARVipgYQWJgazo3ZiMEtQzHz+QZSulowqFgT/orm9buLQtHPk1PJrOA
 UxLIsW3XdVzluh45W1LpjbA2OIWGBM2HZQr2tAXo/30VKRViajJFOKyvbWhoiP02mfyzJJAA
 xm7eyMXyOddWghmnnEuZZhrMDI5t8/mlLIbfRyQoiMhpskQoD4fxGdIqD4XCcyUEoJZXJART
 42OTFsUxx7HDQUBqcKsQpDE4QyAgOZOsw5+xsD0H5SuSK3iYQuYy06mZkj0SQpCaSt6qyFz5
 JRYx4utVltUSLAUZR2NnHAo+j6S2iqIHo6kMeTuLMzt+ceTa1WHAu1vN8qBUevabEz9/sLFn
 /46By3ZTpekRMT1CpkvYdEH7i5tFH64VZjSVobbCuv3HicH+TDo9ca8/yx4GQJ079dOp+uZ1
 79Zv6nhnZHy6atoFM6+hMja2XcARaYSlWB0pnx49c/L909+f/A6YnVNUMshzHSc38PFHxxMT
 YzPrHtv9WloGHs7ZrmXrLtIqJ2LIXNDOXLj67Scfnjo5cMK27XGgcG/bVgIBeLnZ2fQPX3/5
 2eWzp8+2tm9NRFc3tukQFcpLDY9cu3Tl4vlzkxMTN4EMUFxMTSkgAFcplZ9IJod+HPjqBvAF
 85Pa4c64sefel7wkLgqKxWL09fUtUDYXDpBn/viqu2LeXKVoampaUPNvq2nPwgZkzi4AAAAZ
 dEVYdFNvZnR3YXJlAEFkb2JlIEltYWdlUmVhZHlxyWU8AAAAAElFTkSuQmCC
