=== debian/rules ===
--- 
+++ 
@@ -86,9 +86,9 @@
 ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
 	dh_maemolauncher
 endif
-	- maemo-optify
 	dh_gencontrol
 	dh_md5sums
+	- maemo-optify
 	dh_builddeb
 
 binary: binary-indep binary-arch
